View Issue Details

IDProjectCategoryView StatusLast Update
0004294module PayPalmodule PayPal - subpublic2012-08-27 23:47
Reportersvetlana 
PriorityurgentSeveritycriticalReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.0 
Target VersionFixed in Version2.0.2 
Summary0004294: Discounts works incorrect with selected payment method PayPal
DescriptionWrong discount is applied in the paypal basket when shop has few discount.
Steps To Reproduce1.The user has three discounts, configured in admin according to the Total amount in the Basket:
- "2% from 120 Euro"
- 4% from 250 Euro
- 5% from 400 Euro
2. Now Go to shop login and add product with amount of 130 Euro,the discount of "2% from 120 Euro" will be applied in the shop.
3. Now go to paypal express and after login to paypal, the wrong discount "5% from 400 Euro" is applied.
4. Cancel payment and back to shop in the 1st step. The wrong discount of "5% from 400 Euro" is applied also. After Update the correct discount "2% from 120 Euro" is applied.
TagsNo tags attached.

Activities

ray

2012-08-01 21:32

reporter   ~0007196

from forums:
http://forum.oxid-esales.com/showthread.php?t=15490

rimvydas_paskevicius

2012-08-06 12:07

reporter   ~0007233

Added call to method oxBasket::onUpdate before calculating basket (this affects calculating discounts).